Kerbal Space Program - Bug #5057

1.02 - Landing Can Based Craft thinks it's 'moving on ground' while orbiting post-fairing-separation
05/26/2015 07:07 PM - freezeframe

Status: Duplicate Start date: 05/26/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.1 Language: English (US)
Platform: 0OSX Mod Related: No
Expansion:

Description

Here is what | initially did and here is how | worked around the bug.
here is essentially what | had on the spacecraft from top to bottom

1. Nose Cone

2. Upside down fairing

3. Upside down docking port

4. right side up docking port

5. Lander Can

6. Science bits

7. Upper Stage with lander legs
8. Lower Stage

Now, | did not want to take the whole fairing module with me to Duna and had planned to dock this descent stage with a ferry stage
already in orbit (hence the docking port). Therefore | tried mounting the fairing upside down and figured | would undock and therefore
decouple it and the nose cone while in orbit.

Unfortunately, when in orbit after | ejected the fairing (before undocking the docking ports), the craft thought that it was landed and
was moving on the ground. The orbit disappeared from map mode but the craft did not change its velocity. | was able to reorient the
craft using SAS, however when attempting to timewarp or head back to KSC | was unable to because the craft was moving on the
ground.

| was able to remedy this issue on the next launch by getting rid of the top part and just placing the fairing mounting bracket below
the science bits right side up. It meant that | will need to carry it with me all the way to duna and back, but it resolved the issue.

Related issues:
Is duplicate of Kerbal Space Program - Bug #5028: Flying Craft appears as Landed Closed 05/22/2015

History

#1 - 05/26/2015 07:13 PM - freezeframe

EDIT: The aforementioned first setup also caused immense issues with copying parts and trying to change the rocket in VAB once the fairing was set
upside down

Recommendation: do not allow fairing to be placed upside down or rotated or fix what seems like a pretty bugged part.

#2 - 06/24/2015 05:00 PM - Squelch
- Is duplicate of Bug #5028: Flying Craft appears as Landed added

#3 - 06/24/2015 05:00 PM - Squelch
- Status changed from New to Duplicate

- % Done changed from 0 to 100
